﻿using DontHarmDesktop.Models;
using Prism.Commands;
using Prism.Mvvm;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DontHarmDesktop.ViewModels
{
    class ServicesViewModel : BindableBase
    {
        public List<services> Services { get; set; }
        public DelegateCommand AddServiceCmd { get; set; }
        
        public ServicesViewModel() 
        {
            var db = new Models.Entities();

            // Сбор услуг, которые не скрыты
            Services = db.services.Where(s => s.hidden == false).ToList();

            AddServiceCmd = new DelegateCommand(AddServiceExecuted);
        }

        private void AddServiceExecuted()
        {
            (App.Current.MainWindow as MainWindow).MainFrame.Navigate(new Pages.ServiceAdd());
        }
    }
}
